• Which the release of FS2020 we see an explosition of activity on the forun and of course we are very happy to see this. But having all questions about FS2020 in one forum becomes a bit messy. So therefore we would like to ask you all to use the following guidelines when posting your questions:

    • Tag FS2020 specific questions with the MSFS2020 tag.
    • Questions about making 3D assets can be posted in the 3D asset design forum. Either post them in the subforum of the modelling tool you use or in the general forum if they are general.
    • Questions about aircraft design can be posted in the Aircraft design forum
    • Questions about airport design can be posted in the FS2020 airport design forum. Once airport development tools have been updated for FS2020 you can post tool speciifc questions in the subforums of those tools as well of course.
    • Questions about terrain design can be posted in the FS2020 terrain design forum.
    • Questions about SimConnect can be posted in the SimConnect forum.

    Any other question that is not specific to an aspect of development or tool can be posted in the General chat forum.

    By following these guidelines we make sure that the forums remain easy to read for everybody and also that the right people can find your post to answer it.

what else will i need?

Messages
17
Country
unitedkingdom
Hi
I'm creating my first bit of modeling for an airport upgrade.I'm going to start very small until I understand more on what I'm doing.
I have both gmax and found an old copy of 3ds max.I've never used either of these programs and only know that gmax is a cut down of 3dsmax,so as I have it I thought I would try to use 3dsmax first,and have done a few of the tutorials that come with it.
As this was not designed purely for sims etc are there any plugins or addons that I need to get, so that I can export them from 3dsmax into P3d or fsx.
Many thanks
 

tgibson

Resource contributor
Messages
10,221
Country
us-california
Yes, you need the P3D SDK installed. Version 1.4 for FSX models, and a later version for P3D v2 or 3 models.
 
Messages
17
Country
unitedkingdom
Thanks,
I have the latest P3d sdk installed and i'm running p3dv3.2
Will that have all the things i will need,or do i still need anything for fsx.
The only thing I have installed for fsx is the original fsx delux version plus the updates from the service packs.
 

hairyspin

Resource contributor
Messages
3,248
Country
unitedkingdom
To develop for FSX you'll also need the P3D v1.4 sdk. You need the version of XToMDL.exe from that to compile FSX-compatible models. Which version of Max do you have?
 
Messages
17
Country
unitedkingdom
I have 12.0 released in 2010 and is the 64bit version
I have the fsx sdk installed as well so will I still need the p3d 1.4 for the fsx compatability
 

n4gix

Resource contributor
Messages
11,662
Country
unitedstates
You can use the FSX SDK version of XtoMDL.exe for compiling to support both FSX and P3Dv1, 2, or 3.
 

hairyspin

Resource contributor
Messages
3,248
Country
unitedkingdom
That will be 2010 or 2011. I think you'll need the 32-bit version to use the P3D sdk, the 64-bit versions only came for 2012 and later.
 
Top